#include <stdio.h>

void usage_help(char *prgme)
{
  FILE *p_f = stdout;

  fprintf(p_f, "-------------------------------------------------------------------------------------\n");
  fprintf(p_f, "- Skybot3D C client -\n");
  fprintf(p_f, "-------------------------------------------------------------------------------------\n");
  fprintf(p_f, "Usage: %s [args] [options]\n",prgme);

  fprintf(p_f, "Args:\n");
  fprintf(p_f, "   -j <value>, --jd <value>        Julian day (UTC) of the requested epoch\n");
  fprintf(p_f, "Options:\n");
  fprintf(p_f, "   -c <value>, --class <value>     Class of the targets to extract from Skybot DB\n");
  fprintf(p_f, "   -l <value>, --limit <value>     Maximum number of targets to extract from Skybot DB\n");
  fprintf(p_f, "   -m <value>, --mime <value>      Mime type of the result: (json)|text|html|votable\n");
  fprintf(p_f, "\n");
  fprintf(p_f, "(C) 2008-2016, J. Berthier - IMCCE & J. Normand - OBSPM\n");
}
